I am wanting to create an assembly that I can manipulate and `pull about'.
To describe what I have and I want to acheive try and picture this very simplistic layout :-
A length of hose 50 meters long.
Another length of 50m long hose 2 meters directly below it.
The 2 lengths of hose rigidly tied together at 2m intervals with a small diameter solid bar and clamps around the hose.
What I need to acheive is :-
An assembly showing the above items in a long straight 50m run.
(I have no problems with creating this assembly.)
From there though I then need to be able to create an `S' shape, with the hose staying at a fixed radius where it is rolled to form that shape, both hoses must stay inline with each other at all times.
If you can imagine how a hose would react as you rolled it in reality I want to try and replicate that within my assembly if it is possible?
I realise I could create one long flat assembly then create another seperate assembly showing it in it's rolled up `S' shaped state but that is not what I am wanting.
Usually what I do is download a 3D CAD part from McMaster Carr or some other place and start from scratch trying to recreate the part or, in this case, the assembly. I'm working on modeling a simple swing-arm type of machine I've made in the past and the I've been able to recreate all of the parts with their proper ranges of motion except one. It's an Inline Ball Joint Linkage that has a rubber boot around it to keep the dust out and possibly grease in. I want to know if it is possible to model the rubber boot so that it would mimic real life movement. Right now, the boot is basically a rigid cylinder and as the linkage swivels, the solid bodies clip through each other.
I've been able to make a flexible hose type of assembly as shown here: [URL]... However, creating a 3D drawing with a spline that attaches to work points on the other assemblies causes the Ball Joint to no longer work. It will only rotate as opposed to swiveling.
I have a sub-assembly that is flexible, (constrained properly, not grounded) and when I try to move it in the main assembly, I get the "universal NO" symbol attached to my cursor. There are no constraints preventing the movement in the sub, since I can move it however I want when the sub is opened.
I'm running Inventor 2008 SP2. Each time I open the assembly 2 subassemblies always explode. You can see the red and blue subs in the attached picture. I thought this was supposed to be fixed by now. Actually I thought this was supposed to be fixed in R11 a long time ago. When I grab and drag either component, everything snaps back to where it's supposed to be.
If this isn't fixed (along with a laundry list of stuff that's been broken since R10) you will be losing customers. This and all the other bugs have cost me countless hours in lost productivity.
I'm going through some customer equipment models and setting them up in my library for referencing. For example, I'll setup a machine that belongs to a customer, then reference it through a library when I design new tooling and/or components to work with existing equipment.
One such machine is a simple positioner. It's got a linear slide for "X" movement that's got an arm on a mounting plate. The slide has some amount of travel, say 500mm or so. And the mounting plate has 5 sets of mounting holes. So the arm can have four bolts removed and be mounted in any (1) of (5) different locations. This is in addition to the slide's travel.
When I design future assemblies and components for this, I'd like to be able to insert the assembly from a library into my "new" assembly in a flexible configuration where I can set it up using any combination of mounting holes AND slide travel.
So I can setup (5) different positional reps for the mounting hole configs. That's easy. With respect to the slide, I can create a constraint that allows the arm to extend and retract, but how can I get the library assembly to "rest" in multiple locations? For example, I may work on Design A that needs the extension at 241mm and Design B at 316mm.
Would I need to setup a different Pos Rep in the library assembly for the requirements of every new design? Unfortunately, the design is proprietary to the customer, so I really can't post anything about it.
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
Simple question: How do you add a WorkPoint in an Assembly? I was hoping to find something like:
dim pt as new point ( 0, 0, 1) oPartDef1.workpoints.add(pt) ~OR~ dim pt as point pt.setlocation(0,0,1) oPartDef1.workpoints.add(pt) [code]....
It seems like I need to make a geometry (i.e. thisApplicaiton.TransientGeometry.CreatePoint(0,0,0) ) but I cannot find this feature for a component Occurence. I don't want to make a "Global" point, I want to make a point "Local" to a particualar part.
I am facing problem in creating part in top down assly.
Find attachment.
I first part as pipe having dim 300 mm.In assly I select create option and made sketch having diameter 100 circle . I have extrude this circle up to the wall of 1 st component . I select to option but surface of 1 st component not getting selected. If I select 1 st part rectangular shape, that case 2 part extrude using same concept. (# ref 2 attachment)
i am trying to create a part within an assembly to make sure it fits around a curved column. Please see my short video.
I can create the sketch on a plane and it will s how the potential extrusion however, it wont extrude.
This happens under any condition. I have tried different shapes and everything but i get the same thing. How to successfully create parts in the assembly and save the m out as part of the project?
I wonder if there is any way of creating the list of drawings that derive from a general assembly, which contains sub assemblies and spare parts. That involves to export some personalized i properties, such as nº of drawing, nº of father drawing (for sub-assemblies), and title.
The idea is creating a inculcated link between these drawings (.idw files) and an excel file that, if possible, updates itself when changing the drawings.
I am trying to create a step file of an assembly, the assembly consists of maybe 50-100 parts. I am currently running Inventor 2009. In a new part file, I derive the assembly to make it one solid entity. Then I save that as a step file. However when i open the step file, i have a bunch of extra "parts" in my model tree. These parts seem to be where the bolts and threaded holes interfere or not all parts joined to the main solid model. How can I eliminate this?
Also on a side note, is there anyway to change the orientation of the WCS?
Long time Autocad user but now am moving most of my work across to Autodesk Inventor.
Some of the work I do is with companies that their parts are standard components that will not change.
So I am using Inventor to automate the drawings based on their requirements. For example if it needs to be 4m high. then to use 2 x 2m sections. Currently I have create different assemblies of the different potential heights that I can switch between using ilogic but I need to be able to shift the top truss arch depending on how high the truss is.
I am building a consumer electronics prototype that has mechanical and electronic components. I have built the assembly I need at the dimensions and measurements required. I am having trouble finding tutorials or instructions on how to derive a shell or frame from the complex inner components of an assembly. What is the general approach I should take, I'll get to the details. So far I've tried a loft that goes through the areas that have very specific measurements.
I'd like to create a macro that I can run from within an assembly that will loop through each BOM item and add the quantity req'd to a custom property within the component. I'm very familiar with VBA from Office, but I'm new to it with respect to Inventor so I'm pretty fuzzy with object titles and options.
Here's an outline of what I'd like to do:
Execute Macro from within Assembly file
For Each BOM Item to # of BOM Items
If Vendor = "Make" then Set Component Custom Property "Qty_Reqd" = Total Qty from BOM Endif
My issue is we have Universal assemblies that never change. These assemblies are thousands of parts. (hardware gaskets other random assemblies.) this top level universal assembly never changes.
to increase time in layouts. we would like to create these universal assemblies into 1 sold part.
Is there a was to export an assembly into a single solid part.
I have this assembly which includes a weldment and a derived / mirrored part where i need to identify the COG for lifting with a crane.
As you can see in the image (most components not visible), the COG is way off. The left half is the weldment, the right is the derived/mirrored part. Is there a way to get an accurate COG from Inventor 2010 short of creating a RH assembly instead of deriving the part?
So I created the rail sub assembly everything looks great in sub assembly composer.
Start a new dwg data reference in the rail alignment, Note the rail alignment type is set to rail.
Create an assembly and under the Construction tab for the assembly the Assembly Type is set to Railway. Attach my custom sub assembly to this assembly.
Created a corridor and I get this error: Something wrong with current subassembly: Operation is not valid due to the current state of the object.
So I delete my sub assembly attach the Civil 3D Rail Single sub assembly. Re run corridor and everything works fine.
So I promote the alignment change type to centerline. Delete the Rail Single sub assembly put my rail sub assembly back. Rerun the corridor and everything works.
So then I undo everything up to the point of promoting the alignment.
Opened the base file changed the alignment type to centerline.
When I tried to synchronize the references I ended up a broken reference with the following error. Invalid reference. Synchronization failed
Not good we already have plan sheets cut.
where in sub assembly composer were do I define the sub assembly to be for Rail?
I have created a parametric, multibody master part file to derive parts from it, and then put them in an assembly. See attached file. Now, I need 3 different versions of this setup (with different values of the parameter 'bending_angle').
What is the best way to do it? If I derive parts from it, they always follow the *actual* status of their master file. Is there some method to do this: "derive from this file, with parameter bending_angle=55deg", but keep the dependency relation, i.e. if I modify something on the master file, the derived part fill follow the modifications (with the value of bending_angle=55deg)
In the drawing environment, is it possible to use the same file to show a client (example) option a or option b from the file? Meaning, can I create a separate side by side view in the idw using the same assembly file, but in different suppressed states? Or how does this work specifically? Right now all I have done is saved out the file with the different suppressed state showing, but this became obviously cumbersome quickly since the parts are similar and keep updating, thus forcing me to create yet even more optional files. I'm thinking that iLogic could be a possible fix.
I want to create a flat pattern of a sheet metal-part that I've used in an assembly. In this assembly I've made cut-outs in some of the parts (see attached .png). Is it possible to get at flat pattern of the specific parts with the cutouts? I can e-mail a ZIP-file with the assembly (the file was too large too attach).
What I am trying to do is place a hinge as a subassembly. I know in Solidworks there is an option to add it as a rigid or non rigid assembly. I have seen an option for flexible when you right click on assemblies that allow parts to be moved which is what I need but the hinge file I have from the company that sells them doesn't have that option when I right click on it and I need the hinge to be able to rotate in the model to simulate the hinge opening/ closing.
I need to model up a convoluted flexible hose as a component part for use in an assembly. What is the best approach to creating this with a realistic and natural look?
I'm trying to make this assembly flexible in that the bar will flex so the "s-clip" can hold the 2 handles together. I read some of the forums about the scissors assembly in the autodesk folders and I can see it working in that assembly btu can't figure out how to make it apply to mine. It is basically one of those camping grills that makes hot sandwiches or pies.
I want to put a flexible hose into an assembly in different places.
In the real world it would be the same part, but as the hose would needs to bend at different angles for the different positions I would need different models.
I know I can group components with the same part number in the Parts List, but how do I make sure the components are seen by Vault and other users as being the same component ?
Currently using Inv 2011sp2 Pro and Vault 2011. But I don't have much experience of using Pro
The company I work for manufactures safety covers of all types. Some are pretty easy to model. The ones made from folded fabric,....not so much.
I have taken a couple of photos and uploaded them so that you could see what I'm trying to model.
As you can see from the photo, it's an accordion like cover that is "U-Shaped". You would install this over a linear rail and have one end anchored to the frame and one end anchored to the carriage. So it would collapse and expand as the carriage moves back and forth.
We call the convolutions "vees" (obviously because they look like the letter V). When you compress the cover the Vee Depth increases. And when you expand the cover it will decrease. The folded section at the ends, at the small "legs" is where I have the difficulty. It's sort of hard to explain. That's why I uploaded the photos.
I'd like to be able to make a single "Vee", and have it have adjustable constraints so that I can expand or contract the cover by adjusting one number.